#
# spec file for package python-jupyter_sphinx_theme 
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-jupyter_sphinx_theme 
Version:        0.0.6
Release:        lp150.1.3
License:        MIT
Summary:        Jupyter Sphinx Theme
Url:            http://github.com/jupyter/sphinx-theme
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jupyter-sphinx-theme/jupyter-sphinx-theme-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-2to3
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 1.3.6}
BuildRequires:  %{python_module jupyter_nbsphinx}
BuildRequires:  %{python_module recommonmark >= 0.4.0}
BuildRequires:  %{python_module setuptools}
%endif
Requires:       python-Sphinx >= 1.3.6
Requires:       python-jupyter_nbsphinx
Requires:       python-recommonmark >= 0.4.0
Requires:       python-setuptools
Provides:       python-jupyter-sphinx-theme = %{version}
BuildArch:      noarch

%python_subpackages

%description
A Jupyter Sphinx theme for narrative documentation.

%prep
%setup -q -n jupyter-sphinx-theme-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/*

%changelog
* Fri Sep  8 2017 toddrme2178@gmail.com
- Initial version
